Subject: [sup-devel] odd - mime-decode not working on some text/html mails

From: John Wyzer <[email-masked]>
Date: Tue, 26 Apr 2011 11:52:06 +0200

I tried that with and without having the mime-decode.rb

## turn text/html attachments into plain text, unless they are part
## of a multipart/alternative pair
unless sibling_types.member? "text/plain"
  case content_type
  when "text/html"
    `/usr/bin/w3m -dump -T #{content_type} '#{filename}'`
  end
end

in .sup/hooks

Some html emails that I receive work fine - I can read them as text.

But some are just displayed as an attachment every time. I can open them with
mime-view - but I would prefer to have the text displayed without further
interaction...

Attached is one of those messages - perhaps someone more enlightened than me
could have a short look and knows instantly why sup does not do the correct
thing? ;-)

Many thanks!
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel